
var app=new Vue({
    el: '.app',
    data: {
        user:"",
        jindu:"",
        rang:[],
        chengjiu1:[],
        chengjiu2:[]
    },
    methods: {
        //数据初始化
        getMessage: function () {
            var that = this;
            var accept={};
            //用户
            post(
                "detail",
                accept,
                function (res) {
                    //console.log('用户');
                    //console.log(res);
                    that.user = {};
                    that.user.id = res.user.id;
                    that.user.avatar = res.user.avatar;
                    that.user.name =  res.user.nickname;
                })
            // 累计学习
            accept={};
            post(
                "center/learn/children",
                accept,
                function (res) {
                    //console.log('累计学习');
                    //console.log(res);
                    that.jindu = {};
                    that.jindu.day = res.day;
                    that.jindu.xilie = res.series;
                    that.jindu.zhishidian = res.knowledge;
                    if(res.knowledgeCount==0){
                        that.jindu.jindu='0%';
                    }
                    else {
                        that.jindu.jindu =percent(res.knowledge,res.knowledgeCount);
                    }
                    $('.studyJinduWancheng').css({'width': that.jindu.jindu});
                    //console.log(that.jindu);
                    function percent(num1,num2) {
                        return (Math.round(num1/num2*10000)/100+'%');
                    }
                })
            //成就
            accept={};
            post(
                "course/self/completed/number",
                accept,
                function (res) {
                    //console.log(res);
                    //console.log('数量');
                    //成就
                    var num=res.number;
                    //星星
                    //0 星星,1,月亮.2太阳3皇冠
                    if(num>0){
                        //console.log(num);
                        that.chengjiu1=['../image/等级/星星.png','../image/等级/月亮拷贝.png','../image/等级/太阳拷贝.png','../image/等级/皇冠拷贝.png']
                        for(var i=0;i<24;i++){
                            if(i<num){
                                that.chengjiu2[i]='../image/等级/星星.png';
                            }
                            else {
                                that.chengjiu2[i]='../image/等级/星星拷贝.png';
                            }
                        }
                    }
                    else {
                        that.chengjiu1=['../image/等级/星星拷贝.png','../image/等级/月亮拷贝.png','../image/等级/太阳拷贝.png','../image/等级/皇冠拷贝.png']
                        for(var i=0;i<24;i++){
                          that.chengjiu2[i]='../image/等级/星星拷贝.png';
                        }
                    }
                    if(parseInt(num/24)>0){
                        that.chengjiu1=['../image/等级/星星.png','../image/等级/月亮.png','../image/等级/太阳拷贝.png','../image/等级/皇冠拷贝.png']
                        var n=num-24;
                        for(var i=0;i<24;i++){
                            if(i<n){
                                that.chengjiu2[i]='../image/等级/月亮.png';
                            }
                            else {
                                that.chengjiu2[i]='../image/等级/月亮拷贝.png';
                            }
                        }
                    }
                    if(parseInt(num/48)>0){
                        that.chengjiu1=['../image/等级/星星.png','../image/等级/月亮.png','../image/等级/太阳.png','../image/等级/皇冠拷贝.png']
                        var nn=num-48;
                        for(var i=0;i<24;i++){
                            if(i<nn){
                                that.chengjiu2[i]='../image/等级/太阳.png';
                            }
                            else {
                                that.chengjiu2[i]='../image/等级/太阳拷贝.png';
                            }
                        }
                    }
                    if(parseInt(num/72)>0){
                        that.chengjiu1=['../image/等级/星星.png','../image/等级/月亮.png','../image/等级/太阳.png','../image/等级/皇冠.png']
                        var nnn=num-72;
                        for(var i=0;i<24;i++){
                            if(i<nnn){
                                that.chengjiu2[i]='../image/等级/皇冠.png';
                            }
                            else {
                                that.chengjiu2[i]='../image/等级/皇冠拷贝.png';
                            }
                        }
                    }
                })
        },
        //榜单更多
        rankLink: function () {
            window.location.href = "../../html/ranking.html";
            save();
        },
        //测试题
        ceshiti: function () {
            window.location.href = "../../html/courseCeshi.html";
            save();
        }
    }
})
//主体
$(document).ready(function() {
    app.getMessage();
    $(".content").css({"opacity":1});
})
