var app=new Vue({
    el: '.app',
    data: {
        userId:'',
        UserImg:"../image/white.png",
        nickname:"",
        Old:'',
        OldText:'',
        OldNum:[],
        sex:'',
        sexImg:'../image/white.png',
        phone:"",
        weixinstatue:0
    },
    methods: {
        getMessage: function () {
            var that = this;
            var accept={};
            post(
                "detail",
                accept,
                function (res) {
                    //console.log(res);
                    that.userId=res.user.id;
                    that.UserImg=res.user.avatar;
                    that.nickname=res.user.nickname;
                    //年龄
                    that.Old=res.user.childrenAge;
                    that.OldText=that.Old+'岁';
                    var k={};
                    for(var i=3;i<9;i++){
                        k={};
                        k.id=i;
                        if(that.Old==i){
                            k.statue=1
                        }
                        else {
                            k.statue=0
                        }
                        that.OldNum.push(k);
                    }
                    //性别
                    that.sex=res.user.childrenSex;
                    if(that.sex==0){
                        that.sexImg='../image/home/女.png';
                    }
                    else {
                        that.sexImg='../image/home/男.png';
                    }
                    if(res.user.isWx>0){
                        //已授权
                        that.weixinstatue=1;
                    }
                    else {
                        that.weixinstatue=0;
                    }
                })
        },
        backLink:function(){
            window.history.back(-1);
        },
        UserNameLink:function () {
            var that=this;
            window.location.href="Setnickimg.html?id="+that.userId;
        },
        nicknameLink:function () {
            var that=this;
            window.location.href="Setnickname.html?id="+that.userId;
        },
        Olds:function(){
            $(".content").addClass("disable");
            $('.content').css({"filter": "brightness(0.8)"});
            $('.OldSet').animate({bottom: 0, opacity: '1'}, "slow");
        },
        OldCheck:function(id){
            var that=this;
            for(var i=0;i<that.OldNum.length;i++){
                if(id==that.OldNum[i].id){
                    if(that.OldNum[i].statue==0){
                        that.OldNum[i].statue=1;
                    }
                    else {
                        that.OldNum[i].statue=0;
                    }
                }
                else {
                    that.OldNum[i].statue=0;
                }
            }
            if(id!=that.Old){
                that.Old=id;
                var accept={};
                accept.age=that.Old;
                accept.sex=that.sex;
                post(
                    "user/set/age/sex",
                    accept,
                    function (res) {
                        //console.log(res);
                        if(res.code>0){
                            that.OldText=that.Old+'岁';
                        }
                        else {
                            tishi(res.msg);
                        }
                    })
            }
            $(".content").removeClass("disable");
            $('.content').css({"filter": "brightness(1.0)"});
            $('.OldSet').animate({bottom:"-3.8rem",opacity:'1'},"slow");
        },
        sexs:function(){
            $(".content").addClass("disable");
            $('.content').css({"filter": "brightness(0.8)"});
            $('.OldSex').animate({bottom: 0, opacity: '1'}, "slow");
        },
        sexCheck:function(id){
            var that=this;
            //console.log(id);
            that.sex=id;
            var accept={};
            accept.age=that.Old;
            accept.sex=that.sex;
            post(
                "user/set/age/sex",
                accept,
                function (res) {
                    //console.log(res);
                    if(res.code>0){
                        if(that.sex==0){
                            that.sexImg='../image/home/女.png';
                        }
                        else {
                            that.sexImg='../image/home/男.png';
                        }
                    }
                    else {
                        tishi(res.msg);
                    }
                })
            $(".content").removeClass("disable");
            $('.content').css({"filter": "brightness(1.0)"});
            $('.OldSex').animate({bottom:"-3.8rem",opacity:'1'},"slow");
        },
        phoneLink:function () {
            window.location.href="Setphone.html";
        },
        weiLink:function(){
            var that=this;
            if(that.weixinstatue==0){
                Wechat.isInstalled(function () {
                    //登录
                    var scope = "snsapi_userinfo",
                        state = "_" + (+new Date());
                    Wechat.auth(scope, state, function (response) {
                        var text=JSON.stringify(response);//{"code":"123","state":"4564"}
                        //alert(text);
                        //alert(response.code);
                        var accept={};
                        accept.code=response.code;
                        post(
                            "user/set/author/wx",
                            accept,
                            function (res) {
                                ////////console.log(res);
                                //alert(JSON.stringify(res))
                                if(res.code>0){
                                    tishi("授权成功，可使用微信登录");
                                    that.weixinstatue=1;
                                }
                                else {
                                    tishi(res.msg);
                                }
                            })
                    }, function () {
                        tishi("授权失败");
                    });
                }, function () {
                    tishi("没有检测微信App");
                })
            }
            else {
                var accept={};
                post(
                    "user/set/author/wx/null",
                    accept,
                    function (res) {
                        if(res.code>0){
                            tishi("取消成功");
                            that.weixinstatue=0;
                        }
                        else {
                            tishi(res.msg);
                        }
                    })
            }
        },
        aboutLink:function () {
            window.location.href="aboutus.html";
        },
        Out:function () {
            var accept={};
            post(
                "logout",
                accept,
                function (res) {
                    if(res.code>0){
                        window.localStorage.removeItem("token");
                        window.location.href="../login.html";
                    }
                    else {
                        tishi(res.msg)
                    }
                })
            window.localStorage.removeItem("token");
            window.location.href="../login.html";
        },
        guanbis:function (id) {
            $(".content").removeClass("disable");
            $('.content').css({"filter": "brightness(1.0)"});
            if(id==0){
                $('.OldSet').animate({bottom:"-3.8rem",opacity:'1'},"slow");
            }
           else {
                $('.OldSex').animate({bottom:"-3.8rem",opacity:'1'},"slow");
            }
        },
        aboutLink:function () {
            window.location.href="aboutus.html";
        }
    }
})
//主体
$(document).ready(function() {
    app.getMessage();
    $(".content").css({"opacity":1});
})
